<?xml version="1.0" encoding="UTF-8"?>
<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2006-2008 - INRIA
 *
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
<refentry xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:svg="http://www.w3.org/2000/svg" xmlns:mml="http://www.w3.org/1998/Math/MathML" xmlns:db="http://docbook.org/ns/docbook" version="5.0-subset Scilab" xml:lang="en" xml:id="clean">
  <info>
    <pubdate>$LastChangedDate$</pubdate>
  </info>
  <refnamediv>
    <refname>clean</refname>
    <refpurpose> cleans matrices (round to zero small entries)    </refpurpose>
  </refnamediv>
  <refsynopsisdiv>
    <title>Calling Sequence</title>
    <synopsis>B=clean(A [,epsa [,epsr]])</synopsis>
  </refsynopsisdiv>
  <refsection>
    <title>Parameters</title>
    <variablelist>
      <varlistentry>
        <term>A</term>
        <listitem>
          <para>a numerical matrix (scalar, polynomial, sparse...)</para>
        </listitem>
      </varlistentry>
      <varlistentry>
        <term>epsa,epsr</term>
        <listitem>
          <para>real numbers. Cleaning tolerances (default values resp. 1.d-10 and 1.d-10)</para>
        </listitem>
      </varlistentry>
    </variablelist>
  </refsection>
  <refsection>
    <title>Description</title>
    <para>
    This function eliminates (i.e. set to zero) all the coefficients
    with absolute value &lt; <literal>epsa</literal> or relative value &lt; <literal>epsr</literal>
    (relative means relative w.r.t. 1-norm of coefficients)
    in a polynomial (possibly matrix polynomial or rational
    matrix).</para>
    <para>
    Default  values are <literal>epsa=1.d-10</literal> and <literal>epsr=1.d-10;</literal></para>
    <para>
    For a constant (non polynomial) matrix <literal>clean(A,epsa)</literal> sets to zero all
    entries of <literal>A</literal> smaller than <literal>epsa</literal>.</para>
  </refsection>
  <refsection>
    <title>Examples</title>
    <programlisting role="example"><![CDATA[ 
x=poly(0,'x');
w=[x,1,2+x;3+x,2-x,x^2;1,2,3+x]/3;
w*inv(w)
clean(w*inv(w))
 ]]></programlisting>
  </refsection>
</refentry>
